Subject: Re: bug#15727: Bug: cp <-a|-archive> (w/<-f|--remove-destination>) breaks if one of files is a dir and other not

From: Linda Walsh <[email-masked]>
Date: Mon, 28 Oct 2013 00:09:47 -0700

On 10/27/2013 5:38 PM, Pádraig Brady wrote:
> So overwriting files with dirs and vice versa
> is prohibited by POSIX.  The existing cp options
> do not adjust this aspect. If you don't care what's
> in the destination at all, why not just rm it before the copy?

Um --- isn't that what the "--remove-destination" option is supposed to
do?

Also note, I tried to use it with the "update" option, since in my real
case, in "/var/log", some programs had changed from using a single
log file to using their own dir under /var/log and multiple log files.

It's not like I'm making that up.

As for the posix comment.  Since when is FSF/Gnu governed by a
corporate controlled POSIX?  I.e. POSIX is supposed to supply
interop standards, not limitations on functionality.